Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::GLXConfigurator::ConfigCallbackData Class Reference

List of all members.

## Public Methods

| ConfigCallbackData (GLXConfigurator *parent, const std::string &optionName, const std::string &valueName, Widget optionmenu)

## Public Attributes

GLXConfigurator * | parent
std::string | optionName
std::string | valueName
Widget | optionmenu

## Constructor & Destructor Documentation

Ogre::GLXConfigurator::ConfigCallbackData::ConfigCallbackData | ( | GLXConfigurator * | parent,
|  | const std::string & | optionName,
|  | const std::string & | valueName,
|  | Widget | optionmenu
| ) |

| Definition at line 132 of file OgreGLXConfig.cpp. References optionmenu, optionName, parent, and valueName.

## Member Data Documentation

Widget Ogre::GLXConfigurator::ConfigCallbackData::optionmenu

| Definition at line 140 of file OgreGLXConfig.cpp. Referenced by ConfigCallbackData(), and Ogre::GLXConfigurator::configOptionHandler().

std::string Ogre::GLXConfigurator::ConfigCallbackData::optionName

| Definition at line 139 of file OgreGLXConfig.cpp. Referenced by ConfigCallbackData(), and Ogre::GLXConfigurator::configOptionHandler().

GLXConfigurator* Ogre::GLXConfigurator::ConfigCallbackData::parent

| Definition at line 138 of file OgreGLXConfig.cpp. Referenced by ConfigCallbackData(), and Ogre::GLXConfigurator::configOptionHandler().

std::string Ogre::GLXConfigurator::ConfigCallbackData::valueName

| Definition at line 139 of file OgreGLXConfig.cpp. Referenced by ConfigCallbackData(), and Ogre::GLXConfigurator::configOptionHandler().

The documentation for this class was generated from the following file:

- OgreGLXConfig.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:14 2004